Index: app_dial.c
===================================================================
--- app_dial.c	(revision 69052)
+++ app_dial.c	(working copy)
@@ -711,8 +711,7 @@
 					}
 					break;
 				default:
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Dunno what to do with control type %d\n", f->subclass);
+					ast_debug(1, "Dunno what to do with control type %d\n", f->subclass);
 				}
 			} else if (single) {
 				/* XXX are we sure the logic is correct ? or we should just switch on f->frametype ? */
@@ -1417,8 +1416,7 @@
 		/* check the results of ast_call */
 		if (res) {
 			/* Again, keep going even if there's an error */
-			if (option_debug)
-				ast_log(LOG_DEBUG, "ast call on peer returned %d\n", res);
+			ast_debug(1, "ast call on peer returned %d\n", res);
 			if (option_verbose > 2)
 				ast_verbose(VERBOSE_PREFIX_3 "Couldn't call %s\n", numsubst);
 			ast_hangup(tc);
@@ -1510,8 +1508,7 @@
 			number = numsubst;
 		pbx_builtin_setvar_helper(chan, "DIALEDPEERNUMBER", number);
  		if (!ast_strlen_zero(args.url) && ast_channel_supports_html(peer) ) {
-			if (option_debug)
- 				ast_log(LOG_DEBUG, "app_dial: sendurl=%s.\n", args.url);
+ 			ast_debug(1, "app_dial: sendurl=%s.\n", args.url);
  			ast_channel_sendurl( peer, args.url );
  		}
 		if ( (ast_test_flag(&opts, OPT_PRIVACY) || ast_test_flag(&opts, OPT_SCREENING)) && pa.privdb_val == AST_PRIVACY_UNKNOWN) {
@@ -1569,8 +1566,7 @@
 			if (theapp && !res) {	/* XXX why check res here ? */
 				replace_macro_delimiter(opt_args[OPT_ARG_CALLEE_MACRO]);
 				res = pbx_exec(peer, theapp, opt_args[OPT_ARG_CALLEE_MACRO]);
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Macro exited with status %d\n", res);
+				ast_debug(1, "Macro exited with status %d\n", res);
 				res = 0;
 			} else {
 				ast_log(LOG_ERROR, "Could not find application Macro\n");
@@ -1706,8 +1702,7 @@
 	hanguptree(outgoing, NULL);
 	pbx_builtin_setvar_helper(chan, "DIALSTATUS", pa.status);
 	senddialendevent(chan, pa.status);
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Exiting with DIALSTATUS=%s.\n", pa.status);
+	ast_debug(1, "Exiting with DIALSTATUS=%s.\n", pa.status);
 	
 	if ((ast_test_flag(peerflags, OPT_GO_ON)) && (!chan->_softhangup) && (res != AST_PBX_KEEPALIVE)) {
 		if (calldurationlimit)
Index: app_nbscat.c
===================================================================
--- app_nbscat.c	(revision 69052)
+++ app_nbscat.c	(working copy)
@@ -175,8 +175,7 @@
 						break;
 					}
 				} else {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "No more mp3\n");
+					ast_debug(1, "No more mp3\n");
 					res = 0;
 					break;
 				}
@@ -184,22 +183,19 @@
 			} else {
 				ms = ast_waitfor(chan, ms);
 				if (ms < 0) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Hangup detected\n");
+					ast_debug(1, "Hangup detected\n");
 					res = -1;
 					break;
 				}
 				if (ms) {
 					f = ast_read(chan);
 					if (!f) {
-						if (option_debug)
-							ast_log(LOG_DEBUG, "Null frame == hangup() detected\n");
+						ast_debug(1, "Null frame == hangup() detected\n");
 						res = -1;
 						break;
 					}
 					if (f->frametype == AST_FRAME_DTMF) {
-						if (option_debug)
-							ast_log(LOG_DEBUG, "User pressed a key\n");
+						ast_debug(1, "User pressed a key\n");
 						ast_frfree(f);
 						res = 0;
 						break;
Index: app_waitforsilence.c
===================================================================
--- app_waitforsilence.c	(revision 69052)
+++ app_waitforsilence.c	(working copy)
@@ -135,15 +135,13 @@
 			/* Ended happily with silence */
 			res = 1;
 			pbx_builtin_setvar_helper(chan, "WAITSTATUS", "SILENCE");
-			if (option_debug)
-				ast_log(LOG_DEBUG, "WAITSTATUS was set to SILENCE\n");
+			ast_debug(1, "WAITSTATUS was set to SILENCE\n");
 			break;
 		}
 
 		if ( timeout && (difftime(time(&now),waitstart) >= timeout) ) {
 			pbx_builtin_setvar_helper(chan, "WAITSTATUS", "TIMEOUT");
-			if (option_debug)
-				ast_log(LOG_DEBUG, "WAITSTATUS was set to TIMEOUT\n");
+			ast_debug(1, "WAITSTATUS was set to TIMEOUT\n");
 			res = 0;
 			break;
 		}
Index: app_disa.c
===================================================================
--- app_disa.c	(revision 69052)
+++ app_disa.c	(working copy)
@@ -164,10 +164,8 @@
 		return -1;
 	}
 	
-	if (option_debug) {
-		ast_log(LOG_DEBUG, "Digittimeout: %d\n", digittimeout);
-		ast_log(LOG_DEBUG, "Responsetimeout: %d\n", firstdigittimeout);
-	}
+	ast_debug(1, "Digittimeout: %d\n", digittimeout);
+	ast_debug(1, "Responsetimeout: %d\n", firstdigittimeout);
 
 	tmp = ast_strdupa(data);
 
@@ -180,8 +178,7 @@
 	if (!ast_strlen_zero(args.options))
 		ast_app_parse_options(app_opts, &flags, NULL, args.options);
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Mailbox: %s\n",args.mailbox);
+	ast_debug(1, "Mailbox: %s\n",args.mailbox);
 
 	special_noanswer = 0;
 	if (ast_test_flag(&flags, NOANSWER_FLAG)) {
@@ -196,13 +193,11 @@
 	acctcode[0] = 0;
 	/* can we access DISA without password? */ 
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Context: %s\n",args.context);
+	ast_debug(1, "Context: %s\n",args.context);
 
 	if (!strcasecmp(args.passcode, "no-password")) {
 		k |= 1; /* We have the password */
-		if (option_debug)
-			ast_log(LOG_DEBUG, "DISA no-password login success\n");
+		ast_debug(1, "DISA no-password login success\n");
 	}
 	lastdigittime = ast_tvnow();
 
@@ -212,14 +207,12 @@
 		  /* if outa time, give em reorder */
 		if (ast_tvdiff_ms(ast_tvnow(), lastdigittime) > 
 		    ((k&2) ? digittimeout : firstdigittimeout)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG,"DISA %s entry timeout on chan %s\n",
-					((k&1) ? "extension" : "password"),chan->name);
+			ast_debug(1,"DISA %s entry timeout on chan %s\n",
+				((k&1) ? "extension" : "password"),chan->name);
 			break;
 		}
 		if ((res = ast_waitfor(chan, -1) < 0)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Waitfor returned %d\n", res);
+			ast_debug(1, "Waitfor returned %d\n", res);
 			continue;
 		}
 			
@@ -280,8 +273,7 @@
 
 							AST_STANDARD_APP_ARGS(args, pwline);
 			
-							if (option_debug)
-								ast_log(LOG_DEBUG, "Mailbox: %s\n",args.mailbox);
+							ast_debug(1, "Mailbox: %s\n",args.mailbox);
 
 							/* password must be in valid format (numeric) */
 							if (sscanf(args.passcode,"%d", &j) < 1)
@@ -304,8 +296,7 @@
 
 					}
 					 /* password good, set to dial state */
-					if (option_debug)
-						ast_log(LOG_DEBUG,"DISA on chan %s password is good\n",chan->name);
+					ast_debug(1,"DISA on chan %s password is good\n",chan->name);
 					play_dialtone(chan, args.mailbox);
 
 					k|=1; /* In number mode */
@@ -313,8 +304,7 @@
 					exten[sizeof(acctcode)] = 0;
 					ast_copy_string(acctcode, exten, sizeof(acctcode));
 					exten[0] = 0;
-					if (option_debug)
-						ast_log(LOG_DEBUG,"Successful DISA log-in on chan %s\n", chan->name);
+					ast_debug(1,"Successful DISA log-in on chan %s\n", chan->name);
 					continue;
 				}
 			}
